Bug 107522 - Is there some documentation missing someplace on $ORIGIN
Is there some documentation missing someplace on $ORIGIN
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: man-pages (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 19:23 EDT by benson margulies
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-20 14:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description benson margulies 2003-10-19 19:23:35 EDT
I have seen some evidence in some email traffic that the glibc ld.so supports 
$ORIGIN in --run-path strings. I can't find any documentation that would 
address this one way or the other -- though the ld.so man page would be a 
logical spot. 

If, indeed, ld.so supports $ORIGIN (and others), I respectfully submit that 
some man page should talk about it.
Comment 1 Jakub Jelinek 2003-10-20 09:10:26 EDT
rpm -qf /usr/share/man/man8/ld.so.8.gz
man-pages-1.60-4
Comment 2 Eido Inoue 2003-10-20 14:01:08 EDT
the next update to 2.1 should include the newer version of man-pages which
includes ld, which mentions $ORIGIN

Note You need to log in before you can comment on or make changes to this bug.